.timeline {
    width: 100%;
    height: 100%;
}

.timeline__title-wrapper {
    width: 100%;
    height: 30px;
    display: flex;
    box-shadow: 0 0 2px 1px #ccc;
    position: relative;
    z-index: 10;
    background-color: #F6F6F7;
}

.timeline__play-pause-wrapper {
    width: 100%;
    height: 55px;
    display: flex;
    align-items: center;
    background-color: #F6F6F7;
    padding: 0 20px;
}

.play-btn {
    margin-right: 20px;
}

.stop-btn {
    margin-right: 20px;
}

.timeline__left-title,
.timeline__right-title {
    height: inherit;
    font-size: 14px;
    font-weight: 600;
    display: flex;
    align-items: center;
    padding: 0 20px;
}

.timeline__left-title {
    width: var(--timeline-left-side-width);
    flex-shrink: 0;
}

.timeline__right-title {
    flex-grow: 1;
    /*box-shadow: 0 0 2px 1px #DDD;*/
    position: relative;
    z-index: 10;
}

.timeline__wrapper {
    width: 100%;
    height: calc(100% - 85px);
    /*min-width: 100%;*/
    /*min-height: 100%;*/

    display: flex;
    overflow: auto;
}

.timeline__left-side {
    width: var(--timeline-left-side-width);
    flex-shrink: 0;
    min-height: 100%;
    position: relative;
    z-index: 5;
    /*height: max-content;*/

    /*background-color: #E3E3E4;*/
    /*box-shadow: inset 0 0 2px 1px #DDD;*/

    /*z-index: 10;*/
}

.timeline__right-side {
    flex-grow: 1;
    min-height: 100%;
    /*box-shadow: 0 0 2px 1px #ccc;*/
    /*position: relative;*/
    /*height: max-content;*/
    /*width: calc(100% - var(--bottom-left-side-width));*/
    /*width: 100%;*/
    /*padding-left: var(--bottom-left-side-width);*/
}



/*.timeline__left-list-wrapper {*/
/*    height: calc(100% - 55px);*/
/*    width: 100%;*/

/*    !*overflow: hidden;*!*/
/*}*/

.timeline__left-list {
    min-height: 100%;
    width: 100%;
    /*width: max-content;*/
    /*min-width: 100%;*/
    background-color: #E3E3E4;
    box-shadow: 0 0 2px 1px #CCC;
    /*box-shadow: inset 0 0 2px 1px #DDD;*/
}

/*.timeline__right-list-wrapper {*/
/*    height: calc(100% - 55px);*/
/*    width: 100%;*/
/*    !*overflow: auto;*!*/
/*}*/

.timeline__right-list {
    min-height: 100%;
    width: max-content;
    min-width: 100%;
    background-image: url("./resources/pattern.jpg");
    position: relative;
}

.timeline__right-list:before {
    content: "";
    position: absolute;
    top: 0;
    left: 20px;
    bottom: 0;
    right: 0;
    background-image: url("./resources/pattern-line.png");
}